com.sun.jna.platform.mac

## Class SystemB.Group

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.mac.SystemB.Group

Enclosing interface:
  SystemB

    @Structure.FieldOrder(value={"gr_name","gr_passwd","gr_gid","gr_mem"})
    public static class SystemB.Group
    extends Structure

Return type for getgrgid

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `gr_gid`
`PointerByReference` `gr_mem`
`java.lang.String` `gr_name`
`java.lang.String` `gr_passwd`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`Group()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### gr_name

    public java.lang.String gr_name

#### gr_passwd

    public java.lang.String gr_passwd

#### gr_gid

    public int gr_gid

#### gr_mem

    public PointerByReference gr_mem

### Constructor Detail

#### Group

    public Group()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.